
import 'package:cpt_community/components/custom_tabs.dart';
import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';

import '../../router/page/community_page_router.dart';
import 'newsfeed_vm.dart';

@RoutePage()
class NewsfeedPage extends HookConsumerWidget {
  const NewsfeedPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const NewsfeedPageRoute());
    } else {
      appRouter.push(const NewsfeedPageRoute());
    }
  }

  Widget _buildTabsSection(BuildContext context, WidgetRef ref, vm){
    return Container(
      width: double.infinity,
      padding: const EdgeInsets.only(left: 15, right: 15,top: 14,bottom: 14),
      child: CustomTabs(tabsList: vm.state.tabsList, activeIndex: vm.state.activeIndex),
    );
  }

  Widget _buildPostSection(BuildContext context, WidgetRef ref, vm){
    return Container(
      height: 100,
      color: Colors.red,
    );
  }

  Widget _buildNesFeedList(BuildContext context, WidgetRef ref, vm){
    return Container(
      height: 100,
      color: Colors.blue,
    );
  }


  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final vm = ref.read(newsfeedVmProvider.notifier);

    return Scaffold(
      body: Column(
          children: [
            _buildTabsSection(context, ref, vm),

            _buildPostSection(context, ref, vm),

            Expanded(
              child: _buildNesFeedList(context, ref, vm),
            )
          ],
      ),
    );
  }
}
